// src/api/hisStore/storeRecommendScrm.js
import request from '@/utils/request'

// 查询推荐店铺列表
export function listRecommendScrm(query) {
  return request({
    url: '/store/recommend/list',
    method: 'get',
    params: query
  })
}

// 查询推荐店铺详细
export function getRecommendScrm(id) {
  return request({
    url: '/store/recommend/' + id,
    method: 'get'
  })
}

// 新增推荐店铺
export function addRecommendScrm(data) {
  return request({
    url: '/store/recommend',
    method: 'post',
    data: data
  })
}

// 修改推荐店铺
export function updateRecommendScrm(data) {
  return request({
    url: '/store/recommend',
    method: 'put',
    data: data
  })
}

// 删除推荐店铺
export function delRecommendScrm(id) {
  return request({
    url: '/store/recommend/' + id,
    method: 'delete'
  })
}

// 导出推荐店铺
export function exportRecommendScrm(query) {
  return request({
    url: '/store/recommend/export',
    method: 'get',
    params: query
  })
}
